<html devsite><head>
    <title>开发环境</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p>Trade Federation 通过 AOSP 进行分发，并使用 Android 编译系统来创建二进制文件。请先<a href="/setup/initializing.html">搭建一个编译环境</a>，以便使用 Android 源代码树来编译和运行软件包。
</p>

<h2>创建 TradeFed</h2>

<p>在 Android 源代码树的根目录处：</p>
<pre class="devsite-click-to-copy">
<code class="devsite-terminal">source ./build/make/envsetup.sh</code>
<code class="devsite-terminal">lunch &lt;device-target&gt;</code>
<code class="devsite-terminal">make tradefed-all -j8</code>
</pre>

<h2>使用命令行运行</h2>

<p>TradeFed 要求使用 <code>$PATH</code> 中的实用工具 <code>adb</code>：</p>
<pre class="devsite-terminal devsite-click-to-copy">
export PATH=$PATH:&lt;path/to/adb&gt;
</pre>

<p>创建 TradeFed 后，<code>tradefed.sh</code> 启动器脚本便可供从您的路径进行访问。要启动 Trade Federation 控制台：</p>
<pre class="devsite-terminal devsite-click-to-copy">
tradefed.sh
</pre>
<p>现在，您的 Trade Federation 环境即已搭建完毕。
</p>

</body></html>